Codeforces Round 935 (Div. 3) A-E

Codeforces Round 935 (Div. 3) E. Binary Search【二分本质+分类讨论】 显然当 p 未排序时二分查找的结果不一定为 x,现在你希望进行不超过两次交换操作,使得操作后的排列 p 能使得二分查找的结果为 x。可以发现其实对于(2)(3)俩种情况都是可以直接交换x和pl的,所以我们合并这俩种情况,综合分析我们可以得出如下结果。空间复杂度:O(1),不考虑输入所占空间,只使用了常数个额外变量。一次交换操作为:选择 1≤i,j≤n,交换 pi​,pj​。时间复杂度:O(n),找到x所在位置需要遍历一遍数组p。(1)二分查找结束时,pl==x,(2)二分查找结束时,pl>x。 阅读详情

在这里插入图片描述

A. Setting up Camp

题目描述

The organizing committee plans to take the participants of the Olympiad on a hike after the tour. Currently, the number of tents needed to be taken is being calculated. It is known that each tent can accommodate up to 333 people.

Among the participants, there are aaa introverts, bbb extroverts, and ccc universals:

  • Each introvert wants to live in a tent alone. Thus, a tent with an introvert must contain exactly one person — only the introvert himself.
  • Each extrovert wants to live in a tent with two others. Thus, the tent with an extrovert must contain exactly three people.
  • Each universal is fine with any option (living alone, with one other person, or with two others).

The organizing committee respects the wishes of each participant very much, so they want to fulfill all of them.

Tell us the minimum number of tents needed to be taken so that all participants can be accommodated according to their preferences. If it is impossible to accommodate the participants in a way that fulfills all the wishes, output −1-1−1.

Input

Each test consists of multiple test cases. The first line contains a single integer ttt (1≤t≤1041 \le t \le 10^41≤t≤104) — the number of test cases. This is followed by the descriptions of the test cases.

Each test case is described by a single line containing three integers aaa, bbb, ccc (0≤a,b,c≤1090 \le a, b, c \le 10^90≤a,b,c≤109) — the number of introverts, extroverts, and universals, respectively.

Output

For each test case, output a single integer — the minimum number of tents, or −1-1−1 if it is impossible to accommodate the participants.

Example

10
1 2 3
1 4 1
1 4 2
1 1 1
1 3 2
19 7 18
0 0 0
7 0 0
0 24 0
1000000000 1000000000 1000000000
3
-1
3
-1
3
28
0
7
8
1666666667

题目分析

这道题题目写起来很长,但是想描述的内容很简单,就是三种类型的人去住帐篷,帐篷最多容纳3人。内向的人想一个人住一个帐篷,外向的人想住在三个人的帐篷里,普通人怎么住都可以,也就是任由学校分配。学校想要满足每一个人的需求,至少需要多少个帐篷。

那我们的方案可以选择为:内向的人一人一个帐篷,外向的人和外向的人住在一起,如果最后外向的人不够住满3人的话,用普通人补齐3人,普通人都分配为3人一个帐篷,可能有帐篷没住满3人,不过普通人不受限制。

参考代码

for _ in range(int(input())):
    a, b, c = map(int, input().split())
    cnt = a + (b+3-1) // 3
    if b % 3 != 0:
        c -= (b//3 + 1) * 3 - b
    cnt += (c + 3 - 1)//3
    if c < 0: print(-1)
    else: print(cnt)

B. Fireworks

题目描述

One of the days of the hike coincided with a holiday, so in the evening at the camp, it was decided to arrange a festive fireworks display. For this purpose, the organizers of the hike bought two installations for launching fireworks and a huge number of shells for launching.

Both installations are turned on simultaneously. The first installation launches fireworks every aaa minutes (i.e., after a,2⋅a,3⋅a,…a, 2 \cdot a, 3 \cdot a, \dotsa,2⋅a,3⋅a,… minutes after launch). The second installation launches fireworks every bbb minutes (i.e., after b,2⋅b,3⋅b,…b, 2 \cdot b, 3 \cdot b, \dotsb,2⋅b,3⋅b,… minutes after launch).

Each firework is visible in the sky for m+1m + 1m+1 minutes after launch, i.e., if a firework was launched after xxx minutes after the installations were turned on, it will be visible every minute from xxx to x+mx + mx+m, inclusive. If one firework was launched mmm minutes after another, both fireworks will be visible for one minute.

What is the maximum number of fireworks that could be seen in the sky at the same time?

Input

Each test consists of several test cases. The first line contains a single integer ttt (1≤t≤1041 \le t \le 10^41≤t≤104) — the number of test cases. Then follow the descriptions of the test cases.

The first and only line of each test case contains integers aaa, bbb, mmm (1≤a,b,m≤10181 \le a, b, m \le 10^{18}1≤a,b,m≤1018) — the frequency of launching for the first installation, the second installation, and the time the firework is visible in the sky.

Output

For each set of input data, output a single number — the maximum number of fireworks that can be seen simultaneously.

Example

6
6 7 4
3 4 10
7 8 56
5 6 78123459896
1 1 1
1 1 1000000000000000000
2
7
17
28645268630
4
2000000000000000002

题目分析

有两个烟花发生装置,分别隔不同的时间发射烟花,烟花在空中的停留时间都是一样的。题目就是要求我们求出在某一时刻内能看到最多的烟花次数。两个数之间一定有公倍数,也就是两个装置存在一个时刻同时发射烟花,我们再求出在第一发烟花发射到熄灭之间又有多少烟花被发射,在第一个烟花熄灭的那个时刻,我们看到的烟花数最多。

参考代码

t = int(input())
for _ in range(t):
    a, b, m = map(int, input().split())
    ans = m//a + m//b + 2
    print(ans)

C. Left and Right Houses

题目描述

In the village of Letovo, there are nnn houses. The villagers decided to build a big road that will divide the village into left and right sides. Each resident wants to live on either the right or the left side of the street, which is described as a sequence a1,a2,…,ana_1, a_2, \dots, a_na1​,a2​,…,an​, where aj=0a_j = 0aj​=0 if the resident of the jjj-th house wants to live on the left side of the street; otherwise, aj=1a_j = 1aj​=1.

The road will pass between two houses. The houses to the left of it will be declared the left-side, and the houses to the right will be declared the right-side. More formally, let the road pass between houses iii and i+1i+1i+1. Then the houses at positions between 111 and iii will be on the left side of the street, and at positions between i+1i+1i+1 and nnn will be on the right side. The road also may pass before the first and after the last house; in this case, the entire village is declared to be either the right or left side, respectively.

To make the design fair, it was decided to lay the road so that at least half of the residents on each side of the village are satisfied with the choice. That is, among xxx residents on one side, at least ⌈x2⌉\lceil\frac{x}{2}\rceil⌈2x​⌉ should want to live on that side, where ⌈x⌉\lceil x \rceil⌈x⌉ denotes rounding up a real number xxx.

To the left of the road, there will be iii houses, among the corresponding aja_jaj​ there must be at least ⌈i2⌉\lceil\frac{i}{2}\rceil⌈2i​⌉ zeros. To the right of the road, there will be n−in-in−i houses, among the corresponding aja_jaj​ there must be at least ⌈n−i2⌉\lceil\frac{n-i}{2}\rceil⌈2n−i​⌉ ones.

Determine after which house iii the road should be laid in order to satisfy the described condition and be as close to the middle of the village as possible. Formally, among all suitable positions iii, minimize ∣n2−i∣\left|\frac{n}{2} - i\right|​2n​−i​.

If there are multiple suitable positions iii with the minimum ∣n2−i∣\left|\frac{n}{2} - i\right|​2n​−i​, output the smaller one.

Input

Each test contains multiple test cases. The first line contains the number of test cases ttt (1≤t≤2⋅1041 \le t \le 2\cdot 10^41≤t≤2⋅104). The description of the test cases follows.

The first line of each test case contains a single integer nnn (3≤n≤3⋅1053 \le n \le 3\cdot 10^53≤n≤3⋅105). The next line of each test case contains a string aaa of length nnn, consisting only of 000 and 111.

It is guaranteed that the sum of nnn over all test cases does not exceed 3⋅1053\cdot 10^53⋅105.

Output

For each test case, output a single number iii — the position of the house after which the road should be laid (if it should be laid before the first house, output 000). We can show that the answer always exists.

Example

7
3
101
6
010111
6
011001
3
000
3
110
3
001
4
1100
2
3
2
3
0
1
0

题目分析

题目的意思就是选一条路划分出左右部分,需要满足条件:左半部分的000要多于111,右半部分的111要多于000。

这道题可以用前缀和优化,如果一个区间的前缀和大于区间的元素数量÷2\div2÷2,则111多,反之则000多。把满足条件的路都存到数组中,选最靠近n/2n/2n/2的路作为答案。

参考代码

for _ in range(int(input())):
    n = int(input())
    a=[int(x) for x in input()]    
    b = [0]
    for i in range(n):
        b.append(b[-1] + a[i])
    ans=[]
    for i in range(n+1):
        c=i-b[i]
        d=b[-1]-b[i]
        if c>=i/2 and d>=(n-i)/2:
            ans.append(i)
        
    ans.sort(key=lambda x: abs((n/2)-x))
    print(ans[0])

D. Seraphim the Owl

题目描述

The guys lined up in a queue of nnn people, starting with person number i=1i = 1i=1, to ask Serafim the Owl about the meaning of life. Unfortunately, Kirill was very busy writing the legend for this problem, so he arrived a little later and stood at the end of the line after the nnn-th person. Kirill is completely dissatisfied with this situation, so he decided to bribe some people ahead of him.

For the iii-th person in the queue, Kirill knows two values: aia_iai​ and bib_ibi​. If at the moment Kirill is standing at position iii, then he can choose any position jjj such that KaTeX parse error: Expected 'EOF', got '&' at position 3: j &̲lt; i and exchange places with the person at position jjj. In this case, Kirill will have to pay him aja_jaj​ coins. And for each kkk such that KaTeX parse error: Expected 'EOF', got '&' at position 3: j &̲lt; k &lt; i, Kirill will have to pay bkb_kbk​ coins to the person at position kkk. Kirill can perform this action any number of times.

Kirill is thrifty, so he wants to spend as few coins as possible, but he doesn’t want to wait too long, so Kirill believes he should be among the first mmm people in line.

Help Kirill determine the minimum number of coins he will have to spend in order to not wait too long.

Input

Each test consists of several sets of input data. The first line contains a single integer ttt (1≤t≤1041 \le t \le 10^41≤t≤104) — the number of test cases. Then follows the description of the test case.

The first line of each test case contains two integers nnn and mmm (1≤m≤n≤200 0001 \le m \le n \le 200\,0001≤m≤n≤200000) — the number of people in the queue besides Kirill and the maximum allowable final position of Kirill, respectively.

The second line contains nnn integers a1,a2,…,ana_1, a_2, \dots, a_na1​,a2​,…,an​ separated by spaces (1≤ai≤1091 \le a_i \le 10^91≤ai​≤109).

The third line contains nnn integers b1,b2,…,bnb_1, b_2, \dots, b_nb1​,b2​,…,bn​ separated by spaces (1≤bi≤1091 \le b_i \le 10^91≤bi​≤109).

It is guaranteed that the sum of the values of nnn over all test cases does not exceed 2⋅1052 \cdot 10^52⋅105.

Output

For each test case, output a single integer — the minimum number of coins Kirill needs to spend.

Example

4
4 2
7 3 6 9
4 3 8 5
6 2
6 9 7 1 8 3
5 8 8 1 4 1
7 7
7 2 9 2 6 5 9
9 1 10 7 1 4 9
2 1
2 3
1 1
14
22
9
3

题目分析

Kirill想要排到别人的前面,所以要贿赂前面的所有人,当然贿赂的钱是不一样的。如果是直接换的那个人要支付aia_iai​,但是在他后面以及自己前面的这些人都要支付bkb_kbk​。

其实就是在aia_iai​和bib_ibi​之间取最小值,如果取的是aia_iai​表示直接换的,如果取的是bib_ibi​相当于付一个同意费。自己最后到达的位置必须取aia_iai​,需要注意的是可能换到前面的位置比后面的位置花费更少。

参考代码

for _ in range(int(input())):
    n, m = map(int, input().split())
    a = list(map(int, input().split()))[::-1]
    b = list(map(int, input().split()))[::-1]
    prex = [0]
    for i in range(n):
        prex.append(prex[-1] + min(a[i], b[i]))
    mmin = prex[n-m] + a[n-m]
    for i in range(n-m+1, n+1):
        mmin = min(mmin, prex[i-1] + a[i-1])
    print(mmin)

E. Binary Search

题目描述

Anton got bored during the hike and wanted to solve something. He asked Kirill if he had any new problems, and of course, Kirill had one.

You are given a permutation ppp of size nnn, and a number xxx that needs to be found. A permutation of length nnn is an array consisting of nnn distinct integers from 111 to nnn in arbitrary order. For example, [2,3,1,5,4][2,3,1,5,4][2,3,1,5,4] is a permutation, but [1,2,2][1,2,2][1,2,2] is not a permutation (222 appears twice in the array), and [1,3,4][1,3,4][1,3,4] is also not a permutation (n=3n=3n=3 but there is 444 in the array).

You decided that you are a cool programmer, so you will use an advanced algorithm for the search — binary search. However, you forgot that for binary search, the array must be sorted.

You did not give up and decided to apply this algorithm anyway, and in order to get the correct answer, you can perform the following operation no more than 222 times before running the algorithm: choose the indices iii, jjj (1≤i,j≤n1\le i, j \le n1≤i,j≤n) and swap the elements at positions iii and jjj.

After that, the binary search is performed. At the beginning of the algorithm, two variables l=1l = 1l=1 and r=n+1r = n + 1r=n+1 are declared. Then the following loop is executed:

  1. If r−l=1r - l = 1r−l=1, end the loop
  2. m=⌊r+l2⌋m = \lfloor \frac{r + l}{2} \rfloorm=⌊2r+l​⌋
  3. If pm≤xp_m \le xpm​≤x, assign l=ml = ml=m, otherwise r=mr = mr=m.

The goal is to rearrange the numbers in the permutation before the algorithm so that after the algorithm is executed, plp_lpl​ is equal to xxx. It can be shown that 222 operations are always sufficient.

Input

Each test consists of multiple test cases. The first line contains a single integer ttt (1≤t≤2⋅1041 \le t \le 2\cdot 10^41≤t≤2⋅104) — the number of test cases. Then follow the descriptions of the test cases.

The first line of each test case contains two integers nnn and xxx (1≤x≤n≤2⋅1051 \le x \le n \le 2\cdot 10^51≤x≤n≤2⋅105) — the length of the permutation and the number to be found.

The second line contains the permutation ppp separated by spaces (1≤pi≤n1 \le p_i \le n1≤pi​≤n).

It is guaranteed that the sum of the values of nnn for all test cases does not exceed 2⋅1052\cdot 10^52⋅105.

Output

For each test case, output an integer kkk (0≤k≤20 \le k \le 20≤k≤2) on the first line — the number of operations performed by you. In the next kkk lines, output 222 integers iii, jjj (1≤i,j≤n1 \le i, j \le n1≤i,j≤n) separated by a space, indicating that you are swapping the elements at positions iii and jjj.

Note that you do not need to minimize the number of operations.

Example

5
6 3
1 2 3 4 5 6
6 5
3 1 6 5 2 4
5 1
3 5 4 2 1
6 3
4 3 1 5 2 6
3 2
3 2 1
0
1
3 4
2
2 4
1 5
2
4 5
2 4
1
1 3

题目分析

其实每次需要操作的数都可以只是111。

先对这组排列数使用二分法,返回出lll指针最后停留的位置。题目需要我们满足pl=xp_l = xpl​=x,也就是说我们把lll指针指向的元素和xxx的元素换一下,那么lll指针指向的元素就一定是xxx了。

参考代码

for _ in range(int(input())):
    n, x = map(int, input().split())
    p = [0] + list(map(int, input().split()))
    def bin_search(x):
        l, r = 1, n+1
        while l + 1 != r:
            m = (l + r) // 2
            if p[m] <= x: l = m
            else: r = m
        return l
 
    print(1)
    print(p.index(x), bin_search(x))
RV1126笔记二十七:MetaRTC6移植 MetaRTC6移植 阅读详情

相关推荐

图像相似度的评价指标 : FID(Fréchet Inception Distance)

FID(Fréchet Inception Distance) 是用来计算真实图像与生成图像的特征向量间距离的一种度量。如果FID值越小,则相似程度越高。最好情况即是FID=0,两个图像相同。 实际计算: 参考链接:https://machinelearningmastery.com/how-to-implement-the-frechet-inception-distance-fid-from-scratch/ # example of calculating the frechet inceptio

weixin_43723625的博客 1万+

Codeforces Round 935 (Div. 3) A B C D E

The organizing committee plans to take the participants of the Olympiad on a hike after the tour. Currently, the number of tents needed to be taken is being calculated. It is known that each tent can accommodate up to 333 people.Among the participants, the

InHng的博客 1323

在Matlab中开发AutoSAR模型的流程(自下而上)

前面介绍了AutoSAR软件组件开发的两种方式,其中自下向上的方式,是从模型出发,流程如下。

小胡同学的工程师学习之路 5360

每日一题 第十二期 Codeforces Round 935 (Div. 3)

A. Setting up Camptime limit per test: 1 secondmemory limit per test: 256 megabytesinput: standard inputoutput: standard outputThe organizing committee plans to take the participants of the Olympiad on a hike after the tour. Currently, the number of tents

2301_80882026的博客 1121

ASReview:基于主动学习的AI文献筛选工具,提升科研效率

主动学习是机器学习的一个重要分支,其核心原理是让算法能够主动选择最有价值的数据进行标注,从而以更低的成本获得更好的模型性能。这一技术通过人机协作的闭环流程,显著提升了数据标注和模型训练的效率和精度。在工程实践中,主动学习尤其适用于数据标注成本高昂或数据类别不平衡的场景,例如医学影像分析、自然语言处理中的文本分类以及推荐系统的冷启动问题。通过优先标注模型最不确定的样本,它能够有效解决传统机器学习面临的冷启动和数据稀疏性挑战。本文聚焦的ASReview项目,正是将主动学习原理应用于系统文献综述这一具体场景,通过

weixin_28725959的博客 423

ASTRA Toolbox学习笔记-Python

ASTRA Toolbox 是一个用于处理 X 射线相干散射和 X 射线传输成像的开源算法工具箱。本文档概述了该工具箱的基本概念。

hou9021的博客 8250

Codeforces Round 935 (Div. 3) A - E 题解

【代码】Codeforces Round 935 (Div. 3) A - E 题解。

m0_63322121的博客 1179

Windows 11 - 打开操作安全中心提示 “需要使用新应用以打开此 Windowsdefender 链接“ 解决方案(电脑更新了 Win11 系统版本后,想关闭病毒防护盾牌的时候提示打不开)

Windows 11 - 打开操作安全中心提示 "需要使用新应用以打开此 Windowsdefender 链接" 解决方案(电脑更新了 Win11 系统版本后,想关闭病毒防护盾牌的时候提示打不开),当您点击任务栏上要关闭安全中心防护设置时,这种情况打不开怎么解决,怎么办,Windows安全中心,病毒和威胁保护,账户保护,防火墙和网络保护,设备安全性。

🏆 前端领域优质创作者 1万+

Codeforces Round 935 (Div. 3)(A,B,C,D,E,F)

Codeforces Round 935 (Div. 3)(A,B,C,D,E,F)

qq_45809243的博客 1843

7、复杂分布式水文模型的两阶段代理参数校准框架

本文提出了一种针对复杂分布式水文模型的两阶段代理参数校准框架,旨在解决可变入渗能力模型(VIC)在参数校准过程中计算成本高、耗时长的问题。该框架结合AdaBoost与反向传播神经网络(BPNN)构建高精度代理模型,并引入ε-NSGA II多目标优化算法加速搜索最优参数集。通过在兰江流域和湘江流域的实验验证,该方法在校准效率上提升了约20倍,同时保持了高模拟精度(NSE接近1,Bias接近0)。框架采用两阶段设计:第一阶段(SM-I)快速筛选关键参数范围,第二阶段(SM-II)进行高精度预测,显著减少了无效计

apple5的专栏 84

【XAI】透视深度学习:CNN与Transformer的可解释性方法

深度学习模型的可解释性方法解析:本文探讨了CNN和Transformer两类主流模型的可解释性技术。针对CNN,介绍了显著性图、类激活图(CAM/Grad-CAM)和基于扰动的方法,通过可视化重要像素区域揭示决策依据。对于Transformer,重点分析了注意力机制可视化及其在文本处理中的应用,并介绍了积分梯度等归因方法。文章包含详细的Python实现示例(使用Captum库),涵盖从MNIST图像显著性分析到BERT文本注意力可视化,为初学者提供了可操作的技术指南。这些方法有助于增强模型透明度,提升AI系

u012133341的博客 377

Codeforces-Round 935 (Div. 3)A-E题解

Codeforces-Round 935 (Div. 3)A-E题解

璃儿安心 981

玩转Docker小游戏项目系列:Docker部署吃豆人经典小游戏

玩转Docker小游戏项目系列:Docker部署吃豆人经典小游戏

jks212454的博客 729

Codeforces Round 935 (Div. 3)

【代码】【无标题】

2301_80025089的博客 614

假人有限元模型

假人模型,车辆碰撞假人有限元模型,适合做乘员安全的研究者利用

efm32 入门.pdf

本PDF共计22页,介绍的是操作驱动API,下载与否自己斟酌。

Codeforces Round 935

Codeforces Round 935

青少年趣味编程 671

IEM模型,地表粗糙度模拟

利用微波反演土壤水分时候,利用IEM模型可以实现对随机地表的模拟

每日一题 第二十三期 Codeforces Round 935 (Div. 3)

【代码】每日一题 第二十三期 Codeforces Round 935 (Div. 3)

2301_80882026的博客 1142

LinePhone3.2.7(android端最新版本) sip客户端

SIP客户端For android:LinePhone3.2.7(最新版本),官网地址:http://www.linphone.org/

每日一题 第十三期 Codeforces Round 935 (Div. 3)

aa2⋅a3⋅abb2⋅b3⋅bm1xxtoxmmt1≤t≤104abm1≤abm≤1018ExampleinputCopy66 7 43 4 107 8 561 1 1outputCopy2717456772171129566370778491981051128566472808896104112CF真的纯纯都是思维题啊。

2301_80882026的博客 748

Codeforces Round 960

Codeforces Round 960

青少年趣味编程 704

Codeforces Round 968

Codeforces Round 968

青少年趣味编程 706

Codeforces Round 935 (Div. 3) (A~G)

题意:三种人安排住宿,a只能跟自己住,b只能三个人住,c能1~3个人,问最终最少房间数思路:a单独安排,b放一起,不足三个人的用c补,然后c按照3人一房间尽可能分配题意:装置A每a分钟放一次烟花,装置B每b分钟放一次烟花,烟花能存在m分钟,求空中同时存在最多多少烟花.思路:两只烟花必然能同时放,然后再看接下来m分钟能放多少只烟花,这样必然最优题意:给定01串,要求从中间某个位置分开,其中左侧0的数量大于等于1的数量,右侧1的数量大于等于0的数量,求满足条件的最靠近中心的位置。思路:直接模拟。

weixin_61825750的博客 1473

Codeforces Round 971

Codeforces Round 971

青少年趣味编程 1512

Codeforces Round #935 (Div. 3)(A~E)python

每个烟花会持续一个区间,不限时间,所有情况都可能在某一时刻出现,为了使一个区间每种烟花有更多个,可以出现n/a上取整个烟花,即区间开始有之前持续中的烟花,若可以整除,可以强行错一下位,使后面的烟花也在m时间内出现。暴力枚举每个位置,记录左边0的个数和右面1的个数,只有当左边的个数超过左边现有村庄的一半时,才可取答案,取其中离中心较小的一个,距离相同取左边,当n为奇数时,中心用浮点数表示,即n/2。数组不单调,要使最终结果为正确的值,只要将正确的值转移到最终的位置上即可,转移时不可改变原二分路径。

wyzkeyy的博客 751

Codeforces Round 935 (Div. 3)(A~E)

Codeforces Round 935 (Div. 3)(A~E)

qq_17807067的博客 1311

Codeforces Round 935-E Binary Search

新鲜出炉的题目,还热乎着

lr1799322352的博客 518

Codeforces-Round-935-Div-3

注意:\color{red}{注意:}注意: 个人博客传送门思路:时间复杂度:O(1)O(1)O(1) B. Fireworks 思路:时间复杂度:O(1)O(1)O(1) C. Left and Right Houses 思路:时间复杂度:O(n)O(n)O(n) D. Seraphim the Owl 思路:时间复杂度:O(n)O(n)O(n)

qq_60933136的博客 975
上一篇: 2023年第十四届蓝桥杯省赛Python大学B组真题解析
下一篇: Raspberry Pi Pico 有关LCD1602与超声波传感器HC-SR04的测距显示系统
@KevenDuan
博客等级 码龄6年 5204粉丝 26原创
评论 1
成就一亿技术人!
拼手气红包6.0元
还能输入1000个字符
 
 条评论被折叠 查看
添加红包

请填写红包祝福语或标题

个

红包个数最小为10个

元

红包金额最低5元

当前余额3.43元 前往充值 >
需支付:10.00元
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

@KevenDuan

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值